org.springframework.jms

## Class JmsSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.JmsSecurityException

All Implemented Interfaces:
  Serializable

    public class JmsSecurityException
    extends JmsException

Runtime exception mirroring the JMS JMSSecurityException.

Since:
  1.1
Author:
  Mark Pollack
See Also:
  `JMSSecurityException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JmsSecurityException(JMSSecurityException cause)`

### Method Summary

### Methods inherited from class org.springframework.jms.JmsException

`getErrorCode, getMessage`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JmsSecurityException

    public JmsSecurityException(JMSSecurityException cause)